Loading...
Searching...
No Matches
ARC_ConsoleShell Struct Reference

`#include <shell.h>`

## Data Fields

ARC_ConsoleView * | view
ARC_ConsoleBuffer * | buffer
uint32_t | bufferLineIndex
ARC_Vector * | history
uint32_t | historyIndex
ARC_ConsoleShell_UpdateFn | updateFn
ARC_String * | currentLine
ARC_String * | userInput

## Detailed Description

Definition at line 29 of file shell.h.

## Field Documentation

## buffer

ARC_ConsoleBuffer* ARC_ConsoleShell::buffer

Definition at line 31 of file shell.h.

## bufferLineIndex

uint32_t ARC_ConsoleShell::bufferLineIndex

Definition at line 32 of file shell.h.

## currentLine

ARC_String* ARC_ConsoleShell::currentLine

Definition at line 39 of file shell.h.

## history

ARC_Vector* ARC_ConsoleShell::history

Definition at line 34 of file shell.h.

## historyIndex

uint32_t ARC_ConsoleShell::historyIndex

Definition at line 35 of file shell.h.

## updateFn

ARC_ConsoleShell_UpdateFn ARC_ConsoleShell::updateFn

Definition at line 37 of file shell.h.

## userInput

ARC_String* ARC_ConsoleShell::userInput

Definition at line 40 of file shell.h.

## view

ARC_ConsoleView* ARC_ConsoleShell::view

Definition at line 30 of file shell.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/console/shell.h